# Radio buttons

Home Search

## Radio buttons

- Basics
- Options
- Methods
- Events

The radio button has the following options:

`mini` boolean

  default: false

  Sets the size of the element to a more compact, mini version. This option is also exposed as a data attribute: `data-mini="true"`

      $("input[type='radio']").checkboxradio({ mini: true });

`theme` string

  default: null, inherited from parent

  Sets the color scheme (swatch) for all instances of this widget. It accepts a single letter from a-z that maps to one of the swatches included in your theme. By default, it will inherit the same swatch color as its parent container if not explicitly set. This option is also exposed as a data attribute: `data-theme="a"`

      $("input[type='radio']").checkboxradio({ theme: "a" });

### More in this section

- Form elements
- Form basics
- Form element gallery
- Mini form element gallery
- Text inputs
- Search input
- Slider
- Flip toggle switch
- Radio buttons
- Checkboxes
- Select menus
- Theming forms
- Native form elements
- Submitting forms